import { TimeSerie, Options, yAxisOrientation } from './types';
import * as d3 from 'd3';
export declare class PodState<T extends TimeSerie, O extends Options> {
    protected _d3: typeof d3;
    protected boxParams: {
        height: number;
        width: number;
    };
    protected series: T[];
    protected options: O;
    private _xValueRange;
    private _yValueRange;
    private _y1ValueRange;
    private _transform;
    private _xScale;
    private _yScale;
    private _y1Scale;
    constructor(_d3: typeof d3, boxParams: {
        height: number;
        width: number;
    }, series: T[], options: O);
    protected setInitialRanges(): void;
    protected initScales(): void;
    protected setYScale(): void;
    protected setXScale(): void;
    protected setY1Scale(): void;
    clearState(): void;
    get yScale(): d3.ScaleLinear<number, number>;
    get xScale(): d3.ScaleLinear<number, number>;
    get y1Scale(): d3.ScaleLinear<number, number>;
    get xValueRange(): [number, number] | undefined;
    get yValueRange(): [number, number] | undefined;
    get y1ValueRange(): [number, number] | undefined;
    get transform(): {
        x?: number;
        y?: number;
        k?: number | string;
    };
    set xValueRange(range: [number, number]);
    set yValueRange(range: [number, number]);
    set y1ValueRange(range: [number, number]);
    set transform(transform: {
        x?: number;
        y?: number;
        k?: number | string;
    });
    getMinValueY(): number;
    getMaxValueY(): number;
    getMinValueX(): number;
    getMaxValueX(): number;
    getMinValueY1(): number;
    getMaxValueY1(): number;
    get isSeriesUnavailable(): boolean;
    protected filterSerieByYAxisOrientation(serie: T, orientation: yAxisOrientation): boolean;
}
